Subject: RE: [Mip6] How to store DNS records about HAs, (draft-ietf-mip6-bootstrapping-split-02.txt)?

From: "COMBES Jean-Michel RD-MAPS-ISS" <[email-masked]>
Date: Wed, 26 Apr 2006 16:58:42 +0200

> -----Original Message-----
> From: Alexandru Petrescu [mailto:[email-masked]] 
> Sent: Wednesday, April 26, 2006 4:16 PM
> To: COMBES Jean-Michel RD-MAPS-ISS
> Cc: [email-masked]
> Subject: Re: [Mip6] How to store DNS records about 
> HAs,(draft-ietf-mip6-bootstrapping-split-02.txt)?
> 
> COMBES Jean-Michel RD-MAPS-ISS wrote:
> > Hi,
> > 
> >> -----Original Message----- From: Alexandru Petrescu 
> >> [mailto:[email-masked]] Sent: Tuesday, April 25,
> >> 2006 9:38 PM To: [email-masked] Subject: [Mip6] How to store DNS 
> >> records about HAs,(draft-ietf-mip6-bootstrapping-split-02.txt)?
> >> 
> >> I have a question about deploying a home network supporting the 
> >> bootstrapping solution described in 
> >> draft-ietf-mip6-bootstrapping-split-02.txt.  If it's been already 
> >> discussed please ignore it: how to store DNS records that 
> would work 
> >> for this bootstrapping?
> > 
> > For me: store the HA anycast address in the DNS (+ DNSSEC) 
> and after 
> > use draft-dupont-ikev2-haassign-01.txt to get the right HA
> 
> I guess it's a good idea.  The MN can be configured with the 
> right fqdn, and the fqdn wouldn't need to contain the subnet1 
> name.  The IP address being anycast it designates the entire 
> subnet.  Instead of configuring ha1.subnet1.example.com and 
> ha2.subnet1.example.com, the MN1 could be pre-configured only 
> with ha1.example.com and the DNS returns the anycast address 
> corresponding to that subnet and MN chooses an appropriate HA 
> on the home link.

s/MN chooses/HA chooses :)

> 
> Not using IKE as in the above draft means that MN1 should be 
> pre-configured with ha1.subnet1.example.com and 
> ha2.subnet1.example.com, and then somehow decide which HA is 
> best upon DNS Response.  This pre-configuration could be 
> considered not minimal (includes "subnet"
> names) and the one without "subnet" names as more minimal.
> 
> Remark above I'm not talking about SRV, but the pure fqdn 
> method in draft-split.
> 
> With SRV, the draft-split assumes that the operator will 
> somehow find a way to put the right HA in the DNS database, 
> but it doesn't say how.
> While it mentions that MN would dynamically update its home DNS (with
> DHCP) it doesn't say anything about how HAs would update the 
> home DNS about their own addresses.  Clarification is needed.
> 
> Alex
> 
> 

Best regards.

JMC.

France Telecom - R&D Division - MAPS/NSS   
Jean-Michel COMBES, Internet/Intranet Security
E-Mail: [email-masked]
Phone: +33 (0)1 45 29 45 94
Fax: +33 (0)1 45 29 65 19
Mobile: +33 (0)6 07 29 30 16 

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6